<?php

// automatic thumbnal without custom field
function catch_that_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];
  return $first_img;
}

//retreive image ends

/*
Plugin Name: Excerpt Link Modifier
Plugin URI: http://aweconsulting.co.uk
Description: This plugin replaces [...]
Version: 1
Author: Ned Storm
Author URI: http://aweconsulting.co.uk
*/

function excerpt_link_modifier_install() {
    global $wpdb;
}

function excerpt_link_modify() {
    if ( '' == $text ) {
        $text = get_the_content('');

        $text = strip_shortcodes( $text );

        $text = apply_filters('the_content', $text);
        $text = str_replace(']]>', ']]>', $text);
        $text = strip_tags($text);
        $excerpt_length = apply_filters('excerpt_length', 60);
        $words = explode(' ', $text, $excerpt_length + 1);
        if (count($words) > $excerpt_length) {
            array_pop($words);
            array_push($words, '...');
            $text = implode(' ', $words);
        }
    }
    return $text;
}

register_activation_hook(__FILE__, 'excerpt_link_modifier_install');

add_filter('get_the_excerpt','excerpt_link_modify'); 

function excerpt_link_modify2() {
    if ( '' == $text ) {
        $text = get_the_content('');

        $text = strip_shortcodes( $text );

        $text = apply_filters('the_content', $text);
        $text = str_replace(']]>', ']]>', $text);
        $text = strip_tags($text);
        $excerpt_length = apply_filters('excerpt_length', 30);
        $words = explode(' ', $text, $excerpt_length + 1);
        if (count($words) > $excerpt_length) {
            array_pop($words);
            array_push($words, '...');
            $text = implode(' ', $words);
        }
    }
    echo $text;
}

?>
<?php
// function to set trackbacks
function list_pings($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment;
?>
<li id="comment-<?php comment_ID(); ?>"><?php comment_author_link(); ?>
<?php } ?>
<?php
if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
    	'name' => 'Right Sidebar',
        'before_widget' => '<div class="sidebar-widget">',
        'after_widget' => '<div class="clear"></div></div>',
        'before_title' => '<h2 class="sidehead">',
        'after_title' => '</h2>',
    ));
	
	register_sidebar(array(
    	'name' => 'Footer 1',
        'before_widget' => '<div class="sidebar-widget">',
        'after_widget' => '<div class="clear"></div></div>',
        'before_title' => '<h2 class="sidehead">',
        'after_title' => '</h2>',
    ));

	register_sidebar(array(
    	'name' => 'Footer 2',
        'before_widget' => '<div class="sidebar-widget">',
        'after_widget' => '<div class="clear"></div></div>',
        'before_title' => '<h2 class="sidehead">',
        'after_title' => '</h2>',
    ));

	register_sidebar(array(
    	'name' => 'Footer 3',
        'before_widget' => '<div class="sidebar-widget">',
        'after_widget' => '<div class="clear"></div></div>',
        'before_title' => '<h2 class="sidehead">',
        'after_title' => '</h2>',
    ));
}

if (get_option('upside_gravatar')){
add_filter( 'avatar_defaults', 'newgravatar' );

function newgravatar ($avatar_defaults) {
    $myavatar = get_option('upside_gravatar');
    $avatar_defaults[$myavatar] =  get_option('upside_gravatar_name');
    return $avatar_defaults;
}
}

// Upside Custom Options Page(based on designpile theme from site5.coms
//---------------------------------------------

add_action('admin_menu', 'upside_theme_page');
function upside_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['upside_settings']) )
	{
		$options = array ( 'layout', 'style','logo_image', 'logo_alt','gravatar','gravatar_name','contact_email','contact_text','rss_link','twitter_link', 'mail_link','latest_posts', 'popular_posts','analytics', 'timthumb', 'exclude_cat', 'exclude_page');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'upside_'.$opt, $_POST[$opt] );
			add_option ( 'upside_'.$opt, $_POST[$opt] );	
		}
	}
	
	add_theme_page(__('UpSide Options'), __('UpSide Options'), 'edit_themes', basename(__FILE__), 'upside_settings');	
}
function upside_settings()
{?>
<div class="wrap">
	<h2>UpSide Options Panel</h2>
	
<form method="post" action="">
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px;color:#2481C6; text-transform:uppercase;"><strong>General Settings</strong></legend>
	<table class="form-table">
		<!-- General settings -->


		<tr valign="top">
			<th scope="row"><label for="layout">Theme Layout</label></th>
			<td>				
					<input name="layout" type="radio" value="default(right sidebar)" <?php if(get_option('upside_layout') != 'left sidebar'){?>checked="checked"<?php }?> />right sidebar(default) &nbsp;&nbsp;
					<input name="layout" type="radio" value="left sidebar" <?php if(get_option('upside_layout') == 'left sidebar'){?>checked="checked"<?php }?> />left sidebar
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="style">Theme Color Scheme</label></th>
			<td>
				<select name="style" id="style">
                	<option>Select theme style</option>				
					<option value="black.css" <?php if(get_option('upside_style') == 'black.css'){?>selected="selected"<?php }?>>black.css</option>			
					<option value="red.css" <?php if(get_option('upside_style') == 'red.css'){?>selected="selected"<?php }?>>red.css</option>
					<option value="green.css" <?php if(get_option('upside_style') == 'green.css'){?>selected="selected"<?php }?>>green.css</option>
                    <option value="blue.css" <?php if(get_option('upside_style') == 'blue.css'){?>selected="selected"<?php }?>>blue.css</option>
					<option value="orange.css" <?php if(get_option('upside_style') == 'orange.css'){?>selected="selected"<?php }?>>orange.css</option>
				</select> 
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_image">Change logo (full path to logo image)</label></th>
			<td>
				<input name="logo_image" type="text" id="logo_image" value="<?php echo get_option('upside_logo_image'); ?>" class="regular-text" /><br />
				<em>current logo:</em> <br /> <img src="<?php echo get_option('upside_logo_image'); ?>" alt="<?php echo get_option('upside_logo_alt'); ?>" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="logo_alt">Logo ALT Text</label></th>
			<td>
				<input name="logo_alt" type="text" id="logo_alt" value="<?php if(get_option('upside_logo_alt')) echo get_option('upside_logo_alt'); else echo 'Logo';?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="gravatar">Change default gravatar (full path to new gravatar image)</label></th>
			<td>
				<input name="gravatar" type="text" id="gravatar" value="<?php echo get_option('upside_gravatar'); ?>" class="regular-text" /><br />
				<small>for better display, make sure Your new gravatar image is square</small>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="gravatar_name">New gravatar name</label></th>
			<td>
				<input name="gravatar_name" type="text" id="gravatar_name" value="<?php if (get_option('upside_gravatar_name'))echo get_option('upside_gravatar_name'); else echo 'New Gravatar'?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="timthumb">Use timthumb</label></th>
			<td>				
					<input name="timthumb" type="radio" value="yes" <?php if(get_option('upside_timthumb') != 'no'){?>checked="checked"<?php }?> />Yes &nbsp;&nbsp;
					<input name="timthumb" type="radio" value="no" <?php if(get_option('upside_timthumb') == 'no'){?>checked="checked"<?php }?> />No
					<br />
					<small>Use this option if thumbnail images fail to appear</small>
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="exclude_page">Excluded page(s) from navigation</label></th>
			<td>				
					<input name="exclude_page" type="text" id="exclude_page" value="<?php echo get_option('upside_exclude_page'); ?>" class="regular-text" /><br />
					<small>use comma to separate between pages</small>

			</td>
		</tr>			
		<tr valign="top">
			<th scope="row"><label for="exclude_cat">Excluded category(ies) from navigation</label></th>
			<td>				
					<input name="exclude_cat" type="text" id="exclude_cat" value="<?php echo get_option('upside_exclude_cat'); ?>" class="regular-text" /><br />
					<small>use comma to separate between categories</small>

			</td>
		</tr>		
	</table>
	</fieldset>
    
	<fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Sidebar Settings</strong></legend>
		<table class="form-table">
		<tr><td colspan="2">Use "http://" at the begining of URLs! ( e.g. http://www.twitter.com/youraccount )</td></tr>
		<tr valign="top">
			<th scope="row"><label for="twitter_link">Twitter link</label></th>
			<td>
				<input name="twitter_link" type="text" id="twitter_link" value="<?php echo get_option('upside_twitter_link'); ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="rss_link">Rss feed link</label></th>
			<td>
				<input name="rss_link" type="text" id="rss_link" value="<?php echo get_option('upside_rss_link'); ?>" class="regular-text" />
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="mail_link">E-mail feed link</label></th>
			<td>
				<input name="mail_link" type="text" id="mail_link" value="<?php echo get_option('upside_mail_link'); ?>" class="regular-text" /><br />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="popular_posts">Show popular posts</label></th>
			<td>
					<input name="popular_posts" type="radio" value="yes" <?php if(get_option('upside_popular_posts') != 'no'){?>checked="checked"<?php }?> />Yes
					<input name="popular_posts" type="radio" value="no" <?php if(get_option('upside_popular_posts') == 'no'){?>checked="checked"<?php }?> />No
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="popular_posts">Show latest posts</label></th>
			<td>
					<input name="latest_posts" type="radio" value="yes" <?php if(get_option('upside_latest_posts') != 'no'){?>checked="checked"<?php }?> />Yes
					<input name="latest_posts" type="radio" value="no" <?php if(get_option('upside_latest_posts') == 'no'){?>checked="checked"<?php }?> />No
			</td>
		</tr>			
        </table>
        </fieldset>
        
     <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Contact Page Settings</strong></legend>
		<table class="form-table">	
        <tr>
        	<td colspan="2"></td>
        </tr>
         <tr valign="top">
			<th scope="row"><label for="contact_text">Contact Page Text</label></th>
			<td>
				<textarea name="contact_text" id="contact_text" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('upside_contact_text')); ?></textarea>
			</td>
		</tr>
        <tr valign="top">
			<th scope="row"><label for="contact_email">Email Address for Contact Form</label></th>
			<td>
				<input name="contact_email" type="text" id="contact_email" value="<?php echo get_option('upside_contact_email'); ?>" class="regular-text" />
			</td>
		</tr>
        </table>
     </fieldset>
	
    <fieldset style="border:1px solid #ddd; padding-bottom:20px; margin-top:20px;">
	<legend style="margin-left:5px; padding:0 5px; color:#2481C6;text-transform:uppercase;"><strong>Google Analytics</strong></legend>
		<table class="form-table">
		<tr>
			<th><label for="ads">Google Analytics code:</label></th>
			<td>
				<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('upside_analytics')); ?></textarea>
			</td>
		</tr>
		
	</table>
	</fieldset>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Save Changes" />
		<input type="hidden" name="upside_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<?php }?>