<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' |'; } ?> <?php bloginfo('name'); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.ico" type="image/x-icon" />

<!--[if IE 7]><link rel="stylesheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/ie.css" type="text/css" media="screen, projection"><![endif]-->
<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery-1.3.2.min.js"></script>
<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.form.js"></script>
<script language="JavaScript" type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jqueryslidemenu.js"></script>
	 <script type="text/javascript">
		 $(document).ready(function(){
			  $('#contact').ajaxForm(function(data) {
				 if (data==1){
					 $('#success').fadeIn("slow");
					 $('#bademail').fadeOut("slow");
					 $('#badserver').fadeOut("slow");
					 $('#contact').resetForm();
					 }
				 else if (data==2){
						 $('#badserver').fadeIn("slow");
					  }
				 else if (data==3)
					{
					 $('#bademail').fadeIn("slow");
					}
					});
				 });
		</script>
		<script type="text/javascript">
			jqueryslidemenu.buildmenu("menu", arrowimages);
		</script>
		
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

<?php if (get_option('upside_layout') == 'left sidebar') {?>
<link rel='stylesheet' href='<?php bloginfo('stylesheet_directory'); ?>/css/left.css' type='text/css' media='all' />
<?php }?>
<?php if (get_option('upside_style') == 'orange.css') {?>
<link rel='stylesheet' href='<?php bloginfo('stylesheet_directory'); ?>/css/orange.css' type='text/css' media='all' />
<?php } elseif(get_option('upside_style') == 'blue.css') {?>
<link rel='stylesheet' href='<?php bloginfo('stylesheet_directory'); ?>/css/blue.css' type='text/css' media='all' />
<?php } elseif(get_option('upside_style') == 'red.css') {?>
<link rel='stylesheet' href='<?php bloginfo('stylesheet_directory'); ?>/css/red.css' type='text/css' media='all' />
<?php } elseif(get_option('upside_style') == 'green.css') {?>
<link rel='stylesheet' href='<?php bloginfo('stylesheet_directory'); ?>/css/green.css' type='text/css' media='all' />
<?php } else {}?>

<?php wp_head(); ?>

</head>

<body class="sub">

<!-- Header -->
<div id="header_wrap">
	<div id="header">


		
		<ul id="navigation">
				<li <?php if(is_home()) { ?> class="current_page_item" <?php } ?>><a href="<?php echo get_option('home'); ?>/">Home</a></li>
				<?php wp_list_pages('depth=1&menu_order&title_li=&exclude='.get_option('upside_exclude_page') ); ?>
		</ul>	
		
		<div id="search_wrap">
			<?php include(TEMPLATEPATH . '/searchform.php'); ?>
		</div>
	</div>
</div>
<!-- [END] Header -->


<!-- Content -->
<div id="content_wrap">
	<div id="content" class="clearfix">
		<a href="<?php bloginfo('url'); ?>"><img class="logo" style="<?php if (get_option('upside_layout') == 'left sidebar') echo 'right: 0; top: 10px;'; else echo 'left: 0;';?>" src="<?php if(get_option('upside_logo_image')) echo get_option('upside_logo_image'); else { bloginfo('template_url'); ?>/images/logo.png <?php } ?>" alt="<?php if(get_option('upside_logo_alt')) echo get_option('upside_logo_alt'); else echo 'Logo'; ?>" /></a>
		<div id="page">
			
			<div class="clear"></div>

			 <div id="menu" class="jqueryslidemenu">
				<ul>
					<?php wp_list_categories('title_li=&exclude='.get_option('upside_exclude_cat')) ?>
				</ul>
			 </div>
			 <p class="clear"></p>